Bug 1296522 - ERF42-7017 is displayed but no "Resume Deployment" button is available
ERF42-7017 is displayed but no "Resume Deployment" button is available
Status: NEW
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHEV (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: John Matthews
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 07:31 EST by Thom Carlin
Modified: 2016-09-23 14:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2016-01-07 07:31:27 EST
Description of problem:

"ERF42-7017 [Foreman::Exception]: You've reached the timeout set for this action. If the action is still ongoing, you can click on the "Resume Deployment" button to continue." is displayed but there is no "Resume Deployment" button.

Version-Release number of selected component (if applicable):

TP2

How reproducible:

100%

Steps to Reproduce:
1. Install RHCS-I ISO
2. Run launch-fusor-installer
3. Install RHEV, with a timeout for "Actions::Fusor::Deployment::Rhev::Deploy"

Actual results:

"ERF42-7017 [Foreman::Exception]: You've reached the timeout set for this action. If the action is still ongoing, you can click on the "Resume Deployment" button to continue."
No "Resume Deployment" button.

Expected results:

Same message
Resume Deployment button

Additional info:

This message was added as part of https://bugzilla.redhat.com/show_bug.cgi?id=1184630
Comment 1 Antonin Pagac 2016-03-21 05:06:32 EDT
Still occurs in TP3 RC1.
Comment 2 Antonin Pagac 2016-04-14 06:37:58 EDT
Still occurs in TP3 RC3.
Comment 3 Fabian von Feilitzsch 2016-06-15 12:03:23 EDT
Unless I'm mistaken, the Resume button that it's talking about is the Resume button for the specific task (in this case the Deploy task) that failed, so you would have to go to details, open the failing task, and hit resume there. I don't know that we ever had a way to resume the task from the installation screen. This is definitely a confusing message though.

Note You need to log in before you can comment on or make changes to this bug.